Method: networks.mcmEarnings.fetch

API to retrieve a list of McmEarnings objects.

HTTP request

GET https://admanager.googleapis.com/v1/{parent}/mcmEarnings:fetch

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of McmEarnings. Format: networks/{networkCode}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of McmEarnings to return. The service may return fewer than this value. If unspecified, at most 50 McmEarnings will be returned. The maximum value is 1000; values greater than 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous mcmEarnings.fetch call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to mcmEarnings.fetch must match the call that provided the page token.

filter

string

Optional. Expression to filter the response. See syntax details at https://developers.google.com/ad-manager/api/beta/filters

orderBy

string

Optional. Expression to specify sorting order. See syntax details at https://developers.google.com/ad-manager/api/beta/filters#order

skip

integer

Optional. Number of individual resources to skip while paginating.

month

object (Date)

Required. The month to fetch earnings for. The date will be specified as the first of the month.

Request body

The request body must be empty.

Response body

Response object for FetchMcmEarningsRequest containing matching McmEarnings objects.

If successful, the response body contains data with the following structure:

JSON representation
{
  "mcmEarnings": [
    {
      object (McmEarnings)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
mcmEarnings[]

object (McmEarnings)

The McmEarnings objects from the specified network.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

totalSize

integer

Total number of McmEarnings objects. If a filter was included in the request, this reflects the total number after the filtering is applied.

totalSize won't be calculated in the response unless it has been included in a response field mask. The response field mask can be provided to the method by using the URL parameter $fields or fields, or by using the HTTP/gRPC header X-Goog-FieldMask.

For more information, see https://developers.google.com/ad-manager/api/beta/field-masks

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/admanager
  • https://www.googleapis.com/auth/admanager.readonly

For more information, see the OAuth 2.0 Overview.

McmEarnings

The earnings for a given month between a parent and child publisher in MCM

JSON representation
{
  "parent": string,
  "child": string,
  "earningsProductBreakdown": [
    {
      object (EarningsProductBreakdown)
    }
  ],
  "month": {
    object (Date)
  },
  "delegationType": enum (DelegationType),
  "parentDisplayName": string,
  "childPublisher": string,
  "childDisplayName": string,
  "totalEarnings": {
    object (Money)
  },
  "parentPayment": {
    object (Money)
  },
  "childPayment": {
    object (Money)
  },
  "deductions": {
    object (Money)
  }
}
Fields
parent

string

Output only. The parent publisher in the MCM relationship. Format: networks/{networkCode}

child

string

Output only. The resource name of the ChildPublisher's Ad Manager network in the MCM relationship. Format: networks/{networkCode}

earningsProductBreakdown[]

object (EarningsProductBreakdown)

Output only. The product type breakdown of earnings for a given month between a parent and child publisher in MCM.

month

object (Date)

Output only. The year and month that the MCM earnings data applies to. The date will be specified as the first of the month.

delegationType

enum (DelegationType)

Output only. The current type of MCM delegation between the parent and child publisher.

parentDisplayName

string

Output only. The name of the parent publisher.

childPublisher

string

Output only. The resource name of the child publisher in the MCM relationship. Format: "networks/{networkCode}/childPublishers/{child_publisher_id}"

childDisplayName

string

Output only. The name of the child publisher in the MCM relationship.

totalEarnings

object (Money)

Output only. The total earnings for the month.

parentPayment

object (Money)

Output only. The portion of the total earnings paid to the parent publisher.

childPayment

object (Money)

Output only. The portion of the total earnings paid to the child publisher.

deductions

object (Money)

Output only. The deductions for the month due to spam in micro units. Null for earnings prior to August 2020.

DelegationType

The delegation type of the MCM child publisher.

Enums
DELEGATION_TYPE_UNSPECIFIED No value specified
MANAGE_ACCOUNT Indicates the parent network gets complete access to the child network's account.
MANAGE_INVENTORY Indicates a subset of the ad requests from the child are delegated to the parent, determined by the tag on the child network's web pages. The parent network does not have access to the child network, as a subset of the inventory could be owned and operated by the child network.

EarningsProductBreakdown

The product type breakdown of earnings for a given month between a parent and child publisher in MCM.

JSON representation
{
  "productType": enum (McmEarningsProductType),
  "totalEarnings": {
    object (Money)
  },
  "parentPayment": {
    object (Money)
  },
  "childPayment": {
    object (Money)
  },
  "deductions": {
    object (Money)
  }
}
Fields
productType

enum (McmEarningsProductType)

The syndication product type of the child's earnings in MCM.

totalEarnings

object (Money)

The total earnings for the specified product type for the month.

parentPayment

object (Money)

The portion of the total earnings for the specified product type paid to the parent publisher.

childPayment

object (Money)

The portion of the total earnings for the specified product type paid to the child publisher.

deductions

object (Money)

The deductions for the specified product type for the month due to spam.

McmEarningsProductType

The syndication product type of the child's earnings in MCM.

Enums
MCM_EARNINGS_PRODUCT_TYPE_UNSPECIFIED No value specified
AD_EXCHANGE_CONTENT Indicates the child network's earnings from Google Ad Exchange Content.
AD_EXCHANGE_CONTENT_HOST Indicates the child network's earnings from Google Ad Exchange Content made by a host.
AD_EXCHANGE_GAMES Indicates the child network's earnings from Google Ad Exchange Games.
AD_EXCHANGE_GAMES_HOST Indicates the child network's earnings from Google Ad Exchange Games made by a host.
AD_EXCHANGE_MOBILE_CONTENT_APP Indicates the child network's earnings from Google Ad Exchange Content Applications.
AD_EXCHANGE_MOBILE_CONTENT_APP_HOST Indicates the child network's earnings from Google Ad Exchange Content Applications made by a host.
AD_EXCHANGE_VIDEO Indicates the child network's earnings from Google Ad Exchange Video.
AD_EXCHANGE_VIDEO_HOST Indicates the child network's earnings from Google Ad Exchange Video made by a host.
AD_EXCHANGE_RESERVATIONS Indicates the child network's earnings from Ad Exchange Reservations deals (known externally as Programmatic Reservations).
AD_EXCHANGE_PREFERRED_DEALS Indicates the child network's earnings from Ad Exchange Preferred deals.
OFFERWALL Indicates the child network's earnings from Monteverdi Offerwall.
BUYER_DIRECT Indicates the child network's earnings from Agency Direct.